Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_args_info Struct Reference

`#include <node.h>`

## Data Fields
NODE * | pre_init
NODE * | post_init
int | pre_args_num
int | post_args_num
ID | first_post_arg
ID | rest_arg
ID | block_arg
NODE * | kw_args
NODE * | kw_rest_arg
NODE * | opt_args
unsigned int | no_kwarg: 1
unsigned int | ruby2_keywords: 1
VALUE | imemo

## Detailed Description

Definition at line 431 of file node.h.

## Field Documentation

## ◆ block_arg

ID rb_args_info::block_arg

Definition at line 441 of file node.h.

## ◆ first_post_arg

ID rb_args_info::first_post_arg

Definition at line 438 of file node.h.

## ◆ imemo

VALUE rb_args_info::imemo

Definition at line 450 of file node.h.

## ◆ kw_args

NODE * rb_args_info::kw_args

Definition at line 443 of file node.h.

## ◆ kw_rest_arg

NODE * rb_args_info::kw_rest_arg

Definition at line 444 of file node.h.

## ◆ no_kwarg

unsigned int rb_args_info::no_kwarg

Definition at line 447 of file node.h.

## ◆ opt_args

NODE * rb_args_info::opt_args

Definition at line 446 of file node.h.

## ◆ post_args_num

int rb_args_info::post_args_num

Definition at line 436 of file node.h.

## ◆ post_init

NODE * rb_args_info::post_init

Definition at line 433 of file node.h.

## ◆ pre_args_num

int rb_args_info::pre_args_num

Definition at line 435 of file node.h.

## ◆ pre_init

NODE * rb_args_info::pre_init

Definition at line 432 of file node.h.

## ◆ rest_arg

ID rb_args_info::rest_arg

Definition at line 440 of file node.h.

## ◆ ruby2_keywords

unsigned int rb_args_info::ruby2_keywords

Definition at line 448 of file node.h.

The documentation for this struct was generated from the following files:

- node.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h